Browse Source

updated 16 packages

SDL2-2.0.14-1

gmp-6.2.1-1

gnupg2-2.2.27-1

gnutls-3.7.0-1

golang-1.15.7-1

iputils-20210202-1

libassuan-2.5.4-1

libgcrypt-1.9.1-1

libgpg-error-1.41-1

libksba-1.5.0-1

libusb1-1.0.24-1

nettle-3.7-1

npth-1.6-2

pcsc-lite-1.9.0-1

python3-3.8.7-1

tcpdump-4.9.3-2

git-svn-id: http://trac.vinelinux.org/repos/projects/specs@12522 ec354946-7b23-47d6-9f5a-488ba84defc7
tomop 1 year ago
parent
commit
76c6a274fd

+ 10 - 3
S/SDL2/SDL2-vl.spec

@@ -1,10 +1,10 @@
 %bcond_with wayland
 
 Name:           SDL2
-Version:        2.0.12
+Version:        2.0.14
 Release:        1%{?_dist_release}
 Summary:        A cross-platform multimedia library
-Group:          System Environment/Libraries
+Group:          system
 Vendor:         Project Vine
 Distribution:   Vine Linux
 Packager:       iwaim
@@ -44,9 +44,10 @@ BuildRequires:  libxkbcommon-devel
 Simple DirectMedia Layer (SDL) is a cross-platform multimedia library designed
 to provide fast access to the graphics frame buffer and audio device.
 
+
 %package devel
 Summary:    Files needed to develop Simple DirectMedia Layer applications
-Group:      Development/Libraries
+Group:      programming
 Requires:   %{name}%{?_isa} = %{version}-%{release}
 Requires:   alsa-lib-devel
 Requires:   mesa-libGL-devel
@@ -76,6 +77,9 @@ package provides the libraries, include files, and other resources needed for
 developing SDL applications.
 
 
+%debug_package
+
+
 %prep
 %setup -q
 #%patch0 -p1 -b .multilib
@@ -131,6 +135,9 @@ rm -f %{buildroot}%{_libdir}/*.a
 %{_datadir}/aclocal/*
 
 %changelog
+* Mon Feb 01 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.0.14-1
+- new upstream release.
+
 * Fri Apr 17 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.0.12-1
 - new upstream release.
 

+ 35 - 16
g/gmp/gmp-vl.spec

@@ -13,12 +13,18 @@
 
 %define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}
 
+%global __provides_exclude_from ^%{_libdir}/pkgconfig/.*$
+
 Summary: A GNU arbitrary precision library.
 Summary(ja): GNU 多倍長演算ライブラリ
 Name: gmp
-Version: 6.2.0
+Version: 6.2.1
 Release: 1%{?_dist_release}
-Group: System Environment/Libraries
+Group: system
+Vendor: Project Vine
+Distribution: Vine Linux
+Packager: inagaki, kenta
+
 License: LGPLv3+ or GPL2+
 URL: https://gmplib.org/
 Source: https://gmplib.org/download/gmp/gmp-%{version}.tar.xz
@@ -29,10 +35,6 @@ BuildRoot: %{_tmppath}/%{name}-%{version}-root
 BuildRequires: autoconf libtool
 Obsoletes: gmp4
 
-Vendor: Project Vine
-Distribution: Vine Linux
-Packager: inagaki, kenta
-
 %description
 The gmp package contains GNU MP, a library for arbitrary precision
 arithmetic, signed integers operations, rational numbers and floating
@@ -45,12 +47,15 @@ emphasizes speed over simplicity/elegance in its operations.
 Install the gmp package if you need a fast arbitrary precision
 library.
 
+
 %package devel
 Summary: Development tools for the GNU MP arbitrary precision library.
-Group: Development/Libraries
+Group: programming
 Requires: %{name} = %{version}-%{release}
 Requires(post): /sbin/install-info
 Requires(preun): /sbin/install-info
+Provides: pkgconfig(gmp) = %{version}
+Provides: pkgconfig(gmpxx) = %{version}
 #Obsoletes: gmp4-devel
 
 %description devel
@@ -61,18 +66,20 @@ If you want to develop applications which will use the GNU MP library,
 you'll need to install the gmp-devel package.  You'll also need to
 install the gmp package.
 
+
 %package static
 Summary: Development tools for the GNU MP arbitrary precision library
-Group: Development/Libraries
+Group: programming
 Requires: %{name}-devel = %{version}-%{release}
 
 %description static
 The static libraries for using the GNU MP arbitrary precision library 
 in applications.
 
+
 %package -n compat32-%{name}
 Summary: A GNU arbitrary precision library.
-Group: System Environment/Libraries
+Group: system
 Requires: %{name} = %{version}-%{release}
 
 %description -n compat32-%{name}
@@ -87,11 +94,14 @@ emphasizes speed over simplicity/elegance in its operations.
 Install the gmp package if you need a fast arbitrary precision
 library.
 
+
 %package -n compat32-%{name}-devel
 Summary: Development tools for the GNU MP arbitrary precision library.
-Group: Development/Libraries
+Group: programming
 Requires: compat32-%{name} = %{version}-%{release}
 Requires: %{name}-devel = %{version}-%{release}
+Provides: pkgconfig(gmp) = %{version}
+Provides: pkgconfig(gmpxx) = %{version}
 
 %description -n compat32-%{name}-devel 
 The libraries, header files and documentation for using the GNU MP 
@@ -101,9 +111,10 @@ If you want to develop applications which will use the GNU MP library,
 you'll need to install the gmp-devel package.  You'll also need to
 install the gmp package.
 
+
 %package -n compat32-%{name}-static
 Summary: Development tools for the GNU MP arbitrary precision library
-Group: Development/Libraries
+Group: programming
 Requires: compat32-%{name}-devel = %{version}-%{release}
 
 %description -n compat32-%{name}-static
@@ -111,10 +122,14 @@ The static libraries for using the GNU MP arbitrary precision library
 in applications.
 
 
+%debug_package
+
+
 %prep
 %setup -q
 %patch2 -p1 -b .debuginfo
 
+
 %build
 autoreconf -if
 if as --help | grep -q execstack; then
@@ -147,6 +162,7 @@ unset CFLAGS
 cd ..
 %endif
 
+
 %install
 [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
 cd base
@@ -209,8 +225,11 @@ cd ..
 %endif
 
 
-%post -p /sbin/ldconfig
+%clean
+[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
 
+
+%post -p /sbin/ldconfig
 %postun -p /sbin/ldconfig
 
 %post devel
@@ -222,12 +241,8 @@ if [ "$1" = 0 ]; then
 fi
 
 %post -n compat32-%{name} -p /sbin/ldconfig
-
 %postun -n compat32-%{name} -p /sbin/ldconfig
 
-%clean
-[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
-
 
 %files
 %defattr(-,root,root,-)
@@ -279,7 +294,11 @@ fi
 %{_libdir}/libgmpxx.a
 %endif
 
+
 %changelog
+* Tue Feb 02 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 6.2.1-1
+- new upstream release.
+
 * Sun Mar 15 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 6.2.0-1
 - new upstream release.
 

+ 5 - 1
g/gnupg2/gnupg2-vl.spec

@@ -3,7 +3,7 @@
 Summary: Utility for secure communication and data storage
 Summary(ja): GnuPG2 - 安全なデータ交換と保存のためのユーティリティ
 Name:    gnupg2
-Version: 2.2.23
+Version: 2.2.27
 Release: 1%{?_dist_release}
 Group: security
 Vendor: Project Vine
@@ -266,6 +266,10 @@ fi
 
 
 %changelog
+* Tue Feb 02 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 2.2.27-1
+- update to 2.2.27.
+- re-imported all patches from rawhide.
+
 * Sat Sep 12 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 2.2.23-1
 - update to 2.2.23.
 - re-imported Patch1, 5 and 9 from rawhide.

+ 5 - 2
g/gnutls/gnutls-vl.spec

@@ -6,8 +6,8 @@
 Summary:	GNU TLS Library
 Summary(ja):	GNU TLS ライブラリ
 Name:		gnutls
-Version:	3.6.15
-Release:	2%{?_dist_release}
+Version:	3.7.0
+Release:	1%{?_dist_release}
 Group:		system
 Vendor:		Project Vine
 Distribution:	Vine Linux
@@ -324,6 +324,9 @@ fi
 
 
 %changelog
+* Tue Feb 02 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.7.0-1
+- new upstream release.
+
 * Wed Sep 16 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.6.15-2
 - added a subpackage: gnutls-dane.
 

+ 4 - 1
g/golang/golang-vl.spec

@@ -75,7 +75,7 @@
 %global gohostarch  386
 %endif
 
-%global go_version 1.15.6
+%global go_version 1.15.7
 %global go_api %(echo "%{version}" | cut -d . -f 1,2)
 
 Summary:        The Go Programming Language
@@ -413,6 +413,9 @@ fi
 
 
 %changelog
+* Wed Feb 03 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.15.7-1
+- new upstream release.
+
 * Wed Dec 16 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.15.6-1
 - new upstream release.
 

+ 96 - 54
i/iputils/iputils-vl.spec

@@ -1,14 +1,19 @@
+%bcond_with systemd
+
 Summary: Network monitoring tools including ping.
 Summary(ja): ping 等のネットワークモニタツール集
 Name: iputils
-Version: 20190709
-Release: 2%{?_dist_release}
+Version: 20210202
+Release: 1%{?_dist_release}%{?with_systemd:.systemd}
+Group: network
+Vendor: Project Vine
+Distribution: Vine Linux
+
 # some parts are under the original BSD (ping.c)
 # some are under GPLv2+ (tracepath.c)
 License: BSD and GPLv2+
-Group: System Environment/Daemons
 URL: https://github.com/iputils/iputils
-Source0: https://github.com/iputils/iputils/archive/s%{version}.tar.gz#/%{name}-s%{version}.tar.gz
+Source0: https://github.com/iputils/iputils/archive/%{version}.tar.gz#/%{name}-s%{version}.tar.gz
 Source1: ifenslave.tar.gz
 Source3: rdisc.initd
 Source5: rdisc.sysconfig
@@ -19,11 +24,9 @@ Source10: bsd.txt
 Source11: https://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
 
 Patch1: iputils-ifenslave.patch
-Patch2: iputils-fix-arping.patch
 
 # Vine Source(s)/Patch(es)
 
-
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
 BuildRequires: docbook-utils perl-SGMLSpm
 BuildRequires: glibc-kernheaders >= 2.4-8.19
@@ -33,13 +36,14 @@ BuildRequires: libcap-devel
 BuildRequires: libxslt
 BuildRequires: docbook5-style-xsl
 BuildRequires: meson
+%if %{with systemd}
+%{?systemd_requires}
+%else
 Requires(post): chkconfig
 Requires(preun): chkconfig
 Requires(preun): initscripts
 Requires(postun): initscripts
-
-Vendor: Project Vine
-Distribution: Vine Linux
+%endif
 
 %description
 The iputils package contains basic utilities for monitoring a network,
@@ -47,13 +51,17 @@ including ping. The ping command sends a series of ICMP protocol
 ECHO_REQUEST packets to a specified network host to discover whether
 the target machine is alive and receiving network traffic.
 
+
+%debug_package
+
+
 %prep
-%setup -q -a 1 -n %{name}-s%{version}
+%setup -q -a 1 -n %{name}-%{version}
 
 cp %{SOURCE10} %{SOURCE11} .
 
 %patch1 -p1
-%patch2 -p1
+
 
 %build
 %ifarch s390 s390x
@@ -63,7 +71,12 @@ export CFLAGS="$RPM_OPT_FLAGS -fpie"
 %endif
 export LDFLAGS="-pie -Wl,-z,relro,-z,now"
 
-%meson
+%meson \
+%if %{with systemd}
+	-Dsystemdunitdir="%{_unitdir}" \
+	-DINSTALL_SYSTEMD_UNITS=true \
+%endif
+	%{nil}
 %meson_build
 %ninja_build -C %{_target_platform} iputils-gmo
 
@@ -71,76 +84,96 @@ gcc -Wall $RPM_OPT_FLAGS $CFLAGS $LDFLAGS ifenslave.c -o ifenslave
 
 
 %install
-rm -rf ${RPM_BUILD_ROOT}
+rm -rf %{buildroot}
 
-mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
-mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
-mkdir -p ${RPM_BUILD_ROOT}/{bin,sbin}
-mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
+mkdir -p %{buildroot}%{_bindir}
+mkdir -p %{buildroot}%{_sbindir}
+mkdir -p %{buildroot}/{bin,sbin}
+mkdir -p $buildroot%{_sysconfdir}/sysconfig
 
 pushd %{_target_platform}
-install -c clockdiff		${RPM_BUILD_ROOT}%{_sbindir}/
-install -cp arping		${RPM_BUILD_ROOT}/sbin/
-ln -s /sbin/arping		${RPM_BUILD_ROOT}%{_sbindir}/arping
-install -cp ping		${RPM_BUILD_ROOT}/bin/
-install -cp ../ifenslave		${RPM_BUILD_ROOT}/sbin/
-install -cp rdisc		${RPM_BUILD_ROOT}/sbin/
-install -cp tracepath		${RPM_BUILD_ROOT}/bin/
-install -cp ninfod/ninfod	${RPM_BUILD_ROOT}/sbin/
-
-ln -sf /bin/ping ${RPM_BUILD_ROOT}%{_sbindir}
-ln -sf /bin/ping ${RPM_BUILD_ROOT}%{_sbindir}/ping6
-ln -sf /bin/tracepath ${RPM_BUILD_ROOT}%{_sbindir}
-ln -sf /bin/tracepath ${RPM_BUILD_ROOT}%{_sbindir}/tracepath6
-
-mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man8
-install -cp doc/clockdiff.8	${RPM_BUILD_ROOT}%{_mandir}/man8/
-install -cp doc/arping.8	${RPM_BUILD_ROOT}%{_mandir}/man8/
-install -cp doc/ping.8		${RPM_BUILD_ROOT}%{_mandir}/man8/
-install -cp doc/rdisc.8		${RPM_BUILD_ROOT}%{_mandir}/man8/
-install -cp doc/tracepath.8	${RPM_BUILD_ROOT}%{_mandir}/man8/
-install -cp doc/ninfod.8	${RPM_BUILD_ROOT}%{_mandir}/man8/
-install -cp ../ifenslave.8		${RPM_BUILD_ROOT}%{_mandir}/man8/
-ln -s ping.8.gz ${RPM_BUILD_ROOT}%{_mandir}/man8/ping6.8.gz
-ln -s tracepath.8.gz ${RPM_BUILD_ROOT}%{_mandir}/man8/tracepath6.8.gz
-
-install -dp ${RPM_BUILD_ROOT}%{_datadir}/locale/ja/LC_MESSAGES
-install -m 644 po/ja.gmo $RPM_BUILD_ROOT%{_datadir}/locale/ja/LC_MESSAGES/iputils.mo
+install -c clockdiff		%{buildroot}%{_sbindir}/
+install -cp arping		%{buildroot}/sbin/
+ln -s /sbin/arping		%{buildroot}%{_sbindir}/arping
+install -cp ping/ping		%{buildroot}/bin/
+install -cp ../ifenslave		%{buildroot}/sbin/
+install -cp rdisc		%{buildroot}/sbin/
+install -cp tracepath		%{buildroot}/bin/
+install -cp ninfod/ninfod	%{buildroot}/sbin/
+
+ln -sf /bin/ping %{buildroot}%{_sbindir}
+ln -sf /bin/ping %{buildroot}%{_sbindir}/ping6
+ln -sf /bin/tracepath %{buildroot}%{_sbindir}
+ln -sf /bin/tracepath %{buildroot}%{_sbindir}/tracepath6
+
+mkdir -p %{buildroot}%{_mandir}/man8
+install -cp doc/clockdiff.8	%{buildroot}%{_mandir}/man8/
+install -cp doc/arping.8	%{buildroot}%{_mandir}/man8/
+install -cp doc/ping.8		%{buildroot}%{_mandir}/man8/
+install -cp doc/rdisc.8		%{buildroot}%{_mandir}/man8/
+install -cp doc/tracepath.8	%{buildroot}%{_mandir}/man8/
+install -cp doc/ninfod.8	%{buildroot}%{_mandir}/man8/
+install -cp ../ifenslave.8		%{buildroot}%{_mandir}/man8/
+ln -s ping.8.gz %{buildroot}%{_mandir}/man8/ping6.8.gz
+ln -s tracepath.8.gz %{buildroot}%{_mandir}/man8/tracepath6.8.gz
+
+install -dp %{buildroot}%{_datadir}/locale/ja/LC_MESSAGES
+install -m 644 po/ja.gmo %{buildroot}%{_datadir}/locale/ja/LC_MESSAGES/iputils.mo
 popd
 
-find ${RPM_BUILD_ROOT}%{_mandir} -type f | xargs chmod 644
+find %{buildroot}%{_mandir} -type f | xargs chmod 644
 
-install -dp ${RPM_BUILD_ROOT}%{_sysconfdir}/rc.d/init.d
-install -m 755 -p %{SOURCE3} ${RPM_BUILD_ROOT}%{_sysconfdir}/rc.d/init.d/rdisc
-install -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/rdisc
-install -m 755 -p %{SOURCE6} ${RPM_BUILD_ROOT}%{_sysconfdir}/rc.d/init.d/ninfod
-install -m 644 %{SOURCE7} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/ninfod
+%if %{with systemd}
+install -Dpm644 %{_target_platform}/rdisc.service %{buildroot}%{_unitdir}/rdisc.service
+install -Dpm644 %{_target_platform}/ninfod/ninfod.service %{buildroot}%{_unitdir}/ninfod.service
+sed -i -e 's|%{_sbindir}/|/sbin/|' %{buildroot}%{_unitdir}/*
+%else
+install -dp %{buildroot}%{_sysconfdir}/rc.d/init.d
+install -m 755 -p %{SOURCE3} %{buildroot}%{_sysconfdir}/rc.d/init.d/rdisc
+install -m 755 -p %{SOURCE6} %{buildroot}%{_sysconfdir}/rc.d/init.d/ninfod
+%endif
+
+install -Dpm644 %{SOURCE5} %{buildroot}%{_sysconfdir}/sysconfig/rdisc
+install -Dpm644 %{SOURCE7} %{buildroot}%{_sysconfdir}/sysconfig/ninfod
 
 %find_lang %{name}
 
 
+%clean
+rm -rf ${RPM_BUILD_ROOT}
+
+
 %post
+%if %{with systemd}
+%systemd_post rdisc.service ninfod.service
+%else
 /sbin/chkconfig --add rdisc
 /sbin/chkconfig --add ninfod
+%endif
 
 %preun
-if [ $1 = 0 ]; then
+%if %{with systemd}
+%systemd_preun rdisc.service ninfod.service
+%else
+if [ $1 = 0 -o -x /bin/systemctl ]; then
    service rdisc stop >/dev/null 2>&1
    service ninfod stop >/dev/null 2>&1
    /sbin/chkconfig --del rdisc
    /sbin/chkconfig --del ninfod
 fi 
+%endif
 
 %postun
+%if %{with systemd}
+%systemd_postun_with_restart rdisc.service ninfod.service
+%else
 if [ "$1" -ge "1" ]; then
     service rdisc condrestart >/dev/null 2>&1 || :
     service ninfod condrestart >/dev/null 2>&1 || :
 fi
+%endif
 
 
-%clean
-rm -rf ${RPM_BUILD_ROOT}
-
 %files -f %{name}.lang
 %defattr(-,root,root)
 %license LICENSE*
@@ -158,12 +191,21 @@ rm -rf ${RPM_BUILD_ROOT}
 %{_sbindir}/tracepath
 %{_sbindir}/tracepath6
 %{_mandir}/man8/*
+%if %{with systemd}
+%{_unitdir}/*
+%else
 %{_sysconfdir}/rc.d/init.d/rdisc
 %{_sysconfdir}/rc.d/init.d/ninfod
+%endif
 %config(noreplace) %attr(0644,root,root) %{_sysconfdir}/sysconfig/rdisc
 %config(noreplace) %attr(0644,root,root) %{_sysconfdir}/sysconfig/ninfod
 
 %changelog
+* Tue Feb 02 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 20210202-1
+- updated to 20210202.
+- dropped Patch2: fixed in upstream.
+- added systemd support (disabled as default).
+
 * Wed Nov 13 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 20190709-2
 - imported Patch2 from upstream to fix arping.
 

+ 13 - 8
lib/liba/libassuan/libassuan-vl.spec

@@ -1,16 +1,14 @@
 Name:    libassuan
 Summary: GnuPG IPC library
-Version: 2.5.3
-Release: 2%{?_dist_release}
-Group:   System Environment/Libraries
-
-License: LGPLv2+ and GPLv3+
-URL:     https://www.gnupg.org/related_software/libassuan/index.html
-
+Version: 2.5.4
+Release: 1%{?_dist_release}
+Group:   system
 Vendor: Project Vine
 Distribution: Vine Linux
 Packager: iwaim
 
+License: LGPLv2+ and GPLv3+
+URL:     https://www.gnupg.org/related_software/libassuan/index.html
 Source0: https://gnupg.org/ftp/gcrypt/libassuan/libassuan-%{version}.tar.bz2
 Source1: https://gnupg.org/ftp/gcrypt/libassuan/libassuan-%{version}.tar.bz2.sig
 Patch1:  libassuan-1.0.5-multilib.patch
@@ -24,9 +22,10 @@ BuildRequires: libgpg-error-devel >= 1.4
 This is the IPC library used by GnuPG 2, GPGME and a few other
 packages.
 
+
 %package devel 
 Summary: GnuPG IPC library 
-Group: Development/Libraries
+Group: programming
 #Requires: pth-devel
 Requires: %{name} = %{version}
 Requires(post): /sbin/install-info
@@ -41,6 +40,9 @@ packages.
 This package contains files needed to develop applications using %{name}.
 
 
+%debug_package
+
+
 %prep
 %setup -q
 
@@ -100,6 +102,9 @@ rm -rf %{buildroot}
 %{_infodir}/assuan.info*
 
 %changelog
+* Tue Feb 02 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 2.5.4-1
+- update to 2.5.4.
+
 * Sun Mar 15 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 2.5.3-2
 - rebuilt with current environment.
 

+ 4 - 1
lib/libg/libgcrypt/libgcrypt-vl.spec

@@ -2,7 +2,7 @@
 Summary: A cryptographic library based on the code from GnuPG.
 Summary(ja): GnuPG のコードをベースとした暗号化ライブラリ
 Name: libgcrypt
-Version: 1.8.6
+Version: 1.9.1
 Release: 1%{?_dist_release}
 Group: system
 Vendor: Project Vine
@@ -138,6 +138,9 @@ fi
 
 
 %changelog
+* Tue Feb 02 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 1.9.1-1
+- updated to 1.9.1.
+
 * Sat Sep 12 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 1.8.6-1
 - updated to 1.8.6.
 

+ 4 - 1
lib/libg/libgpg-error/libgpg-error-vl.spec

@@ -2,7 +2,7 @@
 Summary:	common error codes for GnuPG related projects
 Summary(ja):	GnuPG 関連プロジェクトで共通のエラーコード
 Name:		libgpg-error
-Version:	1.39
+Version:	1.41
 Release:	1%{?_dist_release}
 Group:		system
 Vendor:		Project Vine
@@ -138,6 +138,9 @@ fi
 %endif
 
 %changelog
+* Tue Feb 02 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.41-1
+- updated to 1.41.
+
 * Sat Sep 12 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.39-1
 - updated to 1.39.
 

+ 4 - 1
lib/libk/libksba/libksba-vl.spec

@@ -1,7 +1,7 @@
 Summary: A library to access X.509 and CMS data structures.
 Summary(ja): X.509 および CMS データ構造にアクセスするためのライブラリ
 Name:    libksba
-Version: 1.4.0
+Version: 1.5.0
 Release: 1%{?_dist_release}
 Group: system
 Vendor: Project Vine
@@ -98,6 +98,9 @@ fi
 
 
 %changelog
+* Tue Feb 02 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 1.5.0-1
+- new upstream release.
+
 * Sat Sep 12 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 1.4.0-1
 - new upstream release.
 

+ 18 - 7
lib/libu/libusb1/libusb1-vl.spec

@@ -3,10 +3,9 @@
 Summary: A library which allows userspace access to USB devices
 Summary(ja): USB デバイスにユーザスペースからアクセスするためのライブラリ
 Name: libusb1
-Version: 1.0.23
+Version: 1.0.24
 Release: 1%{?_dist_release}
-Group: System Environment/Libraries
-
+Group: system
 Vendor: Project Vine
 Distribution: Vine Linux
 
@@ -29,10 +28,11 @@ this library is not compatible with the original libusb-0.1 series.
 このパッケージはアプリケーションが USB デバイスにアクセスする方法を提供します。
 このライブラリはオリジナルの libusb-0.1 シリーズと互換性がないことに注意してください。
 
+
 %package devel
 Summary: Development files for libusb
 Summary(ja): libusb の開発用ファイル
-Group: Development/Libraries
+Group: programming
 Requires: %{name} = %{version}-%{release}
 Requires: pkgconfig
 Provides: pkgconfig(libusb-1.0) = %{version}
@@ -45,10 +45,11 @@ develop applications that use libusb1.
 このパッケージは libusb1 を使うアプリケーションを開発するために
 必要なヘッダファイル、ライブラリ、ドキュメントを含んでいます。
 
+
 %package static
 Summary: Static development files for libusb
 Summary(ja): libusb の静的開発ファイル
-Group: Development/Libraries
+Group: programming
 Requires: %{name}-devel = %{version}-%{release}
 
 %description static
@@ -63,7 +64,7 @@ This package contains static libraries to develop applications that use libusb1.
 %package -n compat32-%{name}
 Summary: A library which allows userspace access to USB devices
 Summary(ja): USB デバイスにユーザスペースからアクセスするためのライブラリ
-Group:    System Environment/Libraries
+Group:    system
 Requires: %{name} = %{version}-%{release}
 Requires: compat32-eudev-libudev
 
@@ -78,7 +79,7 @@ this library is not compatible with the original libusb-0.1 series.
 %package -n compat32-%{name}-devel
 Summary: Development files for libusb
 Summary(ja): libusb の開発用ファイル
-Group:   Development/Libraries
+Group: programming
 Requires: %{name}-devel = %{version}-%{release}
 Requires: compat32-%{name} = %{version}-%{release}
 Requires: compat32-pkgconfig
@@ -92,9 +93,13 @@ develop applications that use libusb1.
 必要なヘッダファイル、ライブラリ、ドキュメントを含んでいます。
 
 
+%debug_package
+
+
 %prep
 %setup -q -n libusb-%{version}
 
+
 %build
 %configure
 make CFLAGS="$RPM_OPT_FLAGS"
@@ -102,14 +107,17 @@ pushd doc
 make docs
 popd
 
+
 %install
 rm -rf $RPM_BUILD_ROOT
 make install DESTDIR=$RPM_BUILD_ROOT
 rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
 
+
 %clean
 rm -rf $RPM_BUILD_ROOT
 
+
 %post -p /sbin/ldconfig
 %postun -p /sbin/ldconfig
 
@@ -150,6 +158,9 @@ rm -rf $RPM_BUILD_ROOT
 
 
 %changelog
+* Tue Feb 02 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.0.24-1
+- new upstream release.
+
 * Sun Mar 29 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.0.23-1
 - new upstream release.
 

+ 5 - 2
n/nettle/nettle-vl.spec

@@ -3,7 +3,7 @@
 Summary:        A low-level cryptographic library
 Summary(ja):    低レベル暗号化ライブラリ
 Name:           nettle
-Version:        3.6
+Version:        3.7
 Release:        1%{?_dist_release}
 Group:          system
 Vendor:         Project Vine
@@ -11,7 +11,7 @@ Distribution:   Vine Linux
 
 License:        LGPLv3+ or GPLv2+
 URL:            http://www.lysator.liu.se/~nisse/nettle/
-Source0:        http://www.lysator.liu.se/~nisse/archive/%{name}-%{version}.tar.gz
+Source0:        https://ftp.gnu.org/gnu/nettle/nettle-%{version}.tar.gz
 Patch0:         nettle-3.4-annocheck.patch
 
 BuildRoot:      %{_tmppath}/%{name}-%{version}-root
@@ -161,6 +161,9 @@ fi
 
 
 %changelog
+* Tue Feb 02 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.7-1
+- new upstream release.
+
 * Tue Sep 08 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.6-1
 - new upstream release.
 - imported Patch0 from rawhide.

+ 20 - 7
n/npth/npth-vl.spec

@@ -1,11 +1,11 @@
+Summary:        The New GNU Portable Threads library
 Name:           npth
 Version:        1.6
-Release:        1%{?_dist_release}
-Summary:        The New GNU Portable Threads library
-
-Vendor: Project Vine
-Distribution: Vine Linux
-Packager: iwaim
+Release:        2%{?_dist_release}
+Group:          system
+Vendor:         Project Vine
+Distribution:   Vine Linux
+Packager:       iwaim
 
 # software uses dual licensing (or both in parallel)
 License:        LGPLv3+ or GPLv2+ or (LGPLv3+ and GPLv2+)
@@ -22,14 +22,20 @@ GNU Pth for non-ancient operating systems. In contrast to GNU Pth is is
 based on the system's standard threads implementation. Thus nPth allows
 the use of libraries which are not compatible to GNU Pth.
 
+
 %package        devel
 Summary:        Development files for %{name}
+Group:          programming
 Requires:       %{name}%{?_isa} = %{version}-%{release}
 
 %description    devel
 This package contains libraries and header files for
 developing applications that use %{name}.
 
+
+%debug_package
+
+
 %prep
 %setup -q
 
@@ -37,6 +43,7 @@ developing applications that use %{name}.
 %configure --disable-static
 %make_build
 
+
 %install
 %make_install INSTALL='install -p'
 
@@ -45,13 +52,15 @@ install -pm0644 %{S:2} %{buildroot}%{_mandir}/man1/
 
 find %{buildroot} -name '*.la' -delete -print
 
+
 %check
 make check
 
-%post -p /sbin/ldconfig
 
+%post -p /sbin/ldconfig
 %postun -p /sbin/ldconfig
 
+
 %files
 %license COPYING COPYING.LESSER
 %{_libdir}/*.so.*
@@ -64,7 +73,11 @@ make check
 %{_mandir}/*/*
 %{_datadir}/aclocal/*
 
+
 %changelog
+* Tue Feb 02 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 1.6-2
+- rebuilt with current environment.
+
 * Sun Mar 15 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 1.6-1
 - updated to 1.6.
 

+ 64 - 17
p/pcsc-lite/pcsc-lite-vl.spec

@@ -1,11 +1,12 @@
+%bcond_with systemd
+
 Summary:        PC/SC Lite smart card framework and applications
 Summary(ja):    PC/SC Lite スマートカードフレームワークおよびアプリケーション
 
 Name:           pcsc-lite
-Version:        1.8.25
-Release:        1%{?_dist_release}
-Group:          System Environment/Daemons
-
+Version:        1.9.0
+Release:        1%{?_dist_release}%{?with_systemd:.systemd}
+Group:          system
 Vendor:         Project Vine
 Distribution:   Vine Linux
 
@@ -17,18 +18,23 @@ Source2:        pcscd.init
 
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
 
-BuildRequires:  eudev-libudev-devel
 BuildRequires:  polkit-devel
 BuildRequires:  doxygen
 BuildRequires:  flex
 BuildRequires:  python3
 BuildRequires:  python3-rpm-macros
+Requires:       pcsc-ifd-handler
+%if %{with systemd}
+BuildRequires:  systemd-devel
+%{?systemd_requires}
+%else
+BuildRequires:  eudev-libudev-devel
 Requires(post): initscripts
 Requires(post): /sbin/chkconfig
 Requires(preun): /sbin/chkconfig
 Requires(preun): initscripts
 Requires(postun): initscripts
-Requires:       pcsc-ifd-handler
+%endif
 # 390 does not have libusb or smartCards
 ExcludeArch: s390 s390x
 
@@ -41,19 +47,21 @@ manager that coordinates communications with smart card readers and
 smart cards that are connected to the system, as well as other command
 line tools.
 
+
 %package        libs
 Summary:        PC/SC Lite libraries
-Summary(ja):        PC/SC Lite libraries
-Group:          System Environment/Libraries
+Summary(ja):    PC/SC Lite libraries
+Group:          system
 Provides:       libpcsc-lite = %{version}-%{release}
 
 %description    libs
 PC/SC Lite libraries.
 
+
 %package        devel
 Summary:        PC/SC Lite development files
-Summary(ja):        PC/SC Lite development files
-Group:          Development/Libraries
+Summary(ja):    PC/SC Lite development files
+Group:          programming
 Requires:       %{name}-libs = %{version}-%{release}
 Requires:       pkgconfig
 Provides:       libpcsc-lite-devel = %{version}-%{release}
@@ -61,10 +69,11 @@ Provides:       libpcsc-lite-devel = %{version}-%{release}
 %description    devel
 PC/SC Lite development files.
 
+
 %package        spy
 Summary:        PC/SC API spy
-Summary(ja):        PC/SC API spy
-Group:          Development/Tools
+Summary(ja):    PC/SC API spy
+Group:          programming
 Requires:       %{name}-libs = %{version}-%{release}
 Requires:       python3
 
@@ -72,15 +81,19 @@ Requires:       python3
 The purpose of pcsc-spy is to spy all the calls between the PC/SC client
 and the PC/SC library.
 
+
 %package        doc
 Summary:        PC/SC Lite developer documentation
-Summary(ja):        PC/SC Lite developer documentation
-Group:          Documentation
+Summary(ja):    PC/SC Lite developer documentation
+Group:          documentation
 
 %description    doc
 %{summary}.
 
 
+%debug_package
+
+
 %prep
 %setup -q
 
@@ -97,7 +110,9 @@ done
 %configure \
   --disable-dependency-tracking \
   --disable-static \
+%if !%{with systemd}
   --disable-libsystemd \
+%endif
   --enable-polkit \
   --enable-runpid=%{_localstatedir}/run/pcscd.pid \
   --enable-ipcdir=%{_localstatedir}/run \
@@ -105,7 +120,7 @@ done
 make %{?_smp_mflags}
 doxygen doc/doxygen.conf ; rm -f doc/api/*.{map,md5}
 
-%{_libdir}/python3.5/Tools/scripts/pathfix.py -i "%{__python3} %{py3_shbang_opts}" -p src/spy/pcsc-spy
+%{_libdir}/python%{python3_version}/Tools/scripts/pathfix.py -i "%{__python3} %{py3_shbang_opts}" -p src/spy/pcsc-spy
 
 
 %install
@@ -118,7 +133,9 @@ install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/polkit-1/actions/
 
 install -dm 755 $RPM_BUILD_ROOT%{_libdir}/pcsc/drivers
 
+%if !%{with systemd}
 install -Dpm 755 %{SOURCE2} $RPM_BUILD_ROOT%{_initrddir}/pcscd
+%endif
 
 mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/reader.conf.d
 
@@ -133,21 +150,41 @@ rm -rf $RPM_BUILD_ROOT
 
 
 %post
+%if %{with systemd}
+%systemd_post pcscd.socket pcscd.service
+# If install, test if pcscd socket is enabled.
+# If enabled, then attempt to start it. This will silently fail
+# in chroots or other environments where services aren't expected
+# to be started.
+if [ $1 -eq 1 ] ; then
+   if systemctl -q is-enabled pcscd.socket > /dev/null 2>&1 ; then
+      systemctl start pcscd.socket > /dev/null 2>&1 || :
+   fi
+fi
+%else
 /sbin/chkconfig --add pcscd
+%endif
 
 %preun
-if [ $1 = 0 ] ; then
+%if %{with systemd}
+%systemd_preun pcscd.socket pcscd.service
+%else
+if [ $1 = 0 -o -x /bin/systemctl ] ; then
   /sbin/service pcscd stop >/dev/null 2>&1 || :
   /sbin/chkconfig --del pcscd
 fi
+%endif
 
 %postun
+%if %{with systemd}
+%systemd_postun_with_restart pcscd.socket pcscd.service
+%else
 if [ "$1" -ge "1" ]; then
   /sbin/service pcscd condrestart >/dev/null 2>&1 || :
 fi
+%endif
 
 %post libs -p /sbin/ldconfig
-
 %postun libs -p /sbin/ldconfig
 
 
@@ -156,7 +193,13 @@ fi
 %license COPYING
 %doc AUTHORS ChangeLog HELP README SECURITY TODO
 %dir %{_sysconfdir}/reader.conf.d/
+%if %{with systemd}
+%{_unitdir}/pcscd.service
+%{_unitdir}/pcscd.socket
+%{_sbindir}/pcscd
+%else
 %{_initrddir}/pcscd
+%endif
 %{_sbindir}/pcscd
 %{_libdir}/pcsc/
 %{_datadir}/polkit-1/actions/org.debian.%{name}.policy
@@ -188,6 +231,10 @@ fi
 
 
 %changelog
+* Tue Feb 02 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.9.0-1
+- new upstream release.
+- added systemd support (disabled as default).
+
 * Sat Oct 26 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.8.25-1
 - new upstream release.
 

+ 8 - 3
p/python3/python3-vl.spec

@@ -7,8 +7,8 @@
 Summary: An interpreted, interactive, object-oriented programming language.
 Summary(ja): オブジェクト指向 Python3 インタプリタ
 Name: python3
-Version: 3.8.6
-Release: 2%{?_dist_release}
+Version: 3.8.7
+Release: 1%{?_dist_release}
 Group: programming
 Vendor: Project Vine
 Distribution: Vine Linux
@@ -83,7 +83,7 @@ Patch274: 00274-fix-arch-names.patch
 Patch328: 00328-pyc-timestamp-invalidation-mode.patch
 
 # security
-Patch1000: CVE-2020-27619.patch
+Patch1000: CVE-2021-3177.patch
 
 BuildRoot: %{_tmppath}/%{name}-%{version}-root
 BuildRequires: autoconf
@@ -397,6 +397,11 @@ rm -fr $RPM_BUILD_ROOT
 
 
 %changelog
+* Wed Feb 03 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.8.7-1
+- new upstream release.
+- dropped Patch1000: fixed in upstream.
+- added Patch1000 to fix CVE-2021-3177.
+
 * Tue Nov 03 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 3.8.6-2
 - added Patch1000 to fix CVE-2020-27619.
 

+ 15 - 10
t/tcpdump/tcpdump-vl.spec

@@ -6,16 +6,19 @@
 Summary: A network traffic monitoring tool.
 Summary(ja): ネットワークのトラフィックをモニタするツール
 Name: tcpdump
+Epoch: 1
 Version: %{tcpdump_ver}
 %define	tcpdump_dir	tcpdump-%{tcpdump_ver}
 %define tcpslice_dir	tcpslice
-Release: 1%{?_dist_release}
-Epoch: 1
+Release: 2%{?_dist_release}
+Group: system,network
+Vendor: Project Vine
+Distribution: Vine Linux
+Packager: daisuke, shaolin
 
-Group: Applications/System
 # XXX epoch is necessary to obsolete tcpdump-3.4a5
 License: BSD
-URL: http://www.tcpdump.org/
+URL: https://www.tcpdump.org/
 
 Source0: https://www.tcpdump.org/release/tcpdump-%{tcpdump_ver}.tar.gz
 Source1: ftp://ftp.ee.lbl.gov/tcpslice-1.2a3.tar.gz
@@ -24,6 +27,8 @@ Patch0004:      0004-tcpslice-update-tcpslice-patch-to-1.2a3.patch
 Patch0005:      0005-tcpslice-remove-unneeded-include.patch
 Patch0006:      0006-tcpslice-don-t-test-the-pointer-but-pointee-for-NULL.patch
 
+Patch1000:      0013-CVE-2020-8037.patch
+
 %define tcpslice_dir tcpslice-1.2a3
 
 BuildRoot: %{_tmppath}/%{name}-%{version}-root
@@ -33,12 +38,6 @@ BuildRequires: libpcap-devel >= %{libpcap_ver}
 BuildRequires: autoconf, automake
 BuildRequires: git
 
-
-Vendor: Project Vine
-Distribution: Vine Linux
-Packager: daisuke, shaolin
-
-
 %description
 Tcpdump is a command-line tool for monitoring network traffic.
 Tcpdump can capture and display the packet headers on a particular
@@ -59,6 +58,9 @@ tcpdump はネットワークのトラフィックをモニタする、コマン
 インストールしてください。
 
 
+%debug_package
+
+
 %prep
 %autosetup -a 1 -S git
 
@@ -115,6 +117,9 @@ exit 0
 
 
 %changelog
+* Mon Feb 01 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 1.4.9.3-2
+- imported Patch1000 from rawhide to fix CVE-2020-8037.
+
 * Sat Oct 05 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> - 1:4.9.3-1
 - new upstream release.
 - dropped Patch0001: fixed in upstream.